Browse Source

bootloader: Emit warnings with 'warning'.

* gnu/bootloader.scm (bootloader-configuration-target): Use 'warning'
instead of 'issue-deprecation-warning'.
python-updates
Ludovic Courtès 5 years ago
parent
commit
9e1fe3d0c3
No known key found for this signature in database GPG Key ID: 90B11993D9AEBB5
  1. 6
      gnu/bootloader.scm

6
gnu/bootloader.scm

@ -132,9 +132,9 @@
(or (%bootloader-configuration-target config)
(let ((device (bootloader-configuration-device config)))
(when device
(issue-deprecation-warning
"The 'device' field of bootloader configurations is deprecated."
"Use 'target' instead."))
(warning
(G_ "The 'device' field of bootloader configurations is deprecated.~%"))
(warning (G_ "Use 'target' instead.~%")))
device)))

Loading…
Cancel
Save